import request from '/@/utils/request';

export function dsjApi() {
    return {
        searchApi: (params?: object) => {
            return request({
                url: '/chart/screen/sale/v1/total',
                method: 'get',
                params,
            });
        },
        saApiors: (params?: object) => {
            return request({
                url: '/chart/screen/sale/v1/approve',
                method: 'get',
                params,
            });
        },
        saApi: (params?: object) => {
            return request({
                url: '/chart/screen/sale/v1/year',
                method: 'get',
                params,
            });
        },
        saApi1: (params?: object) => {
            return request({
                url: '/chart/screen/sale/v1/last',
                method: 'get',
                params,
            });
        },
        saApi2: (params?: object) => {
            return request({
                url: '/chart/screen/sale/v1/area',
                method: 'get',
                params,
            });
        },
        saApi3: (params?: object) => {
            return request({
                url: '/chart/screen/sale/v1/age',
                method: 'get',
                params,
            });
        },
        saApi4: (params?: object) => {
            return request({
                url: '/chart/screen/sale/v1/month',
                method: 'get',
                params,
            });
        },
        //新房
        houseApi1: (params?: object) => {
            return request({
                url: '/chart/screen/house/v1/total',
                method: 'get',
                params,
            });
        },
        houseApi2: (params?: object) => {
            return request({
                url: '/chart/screen/house/v1/corp',
                method: 'get',
                params,
            });
        },
        houseApi3: (params?: object) => {
            return request({
                url: '/chart/screen/house/v1/add',
                method: 'get',
                params,
            });
        },
        houseApi4: (params?: object) => {
            return request({
                url: '/chart/screen/house/v1/histogram',
                method: 'get',
                params,
            });
        },
        //预警
        warningApi1: (params?: object) => {
            return request({
                url: '/chart/screen/ew/v1/total',
                method: 'get',
                params,
            });
        },
        warningApi2: (params?: object) => {
            return request({
                url: '/chart/screen/ew/v1/project',
                method: 'get',
                params,
            });
        },
        warningApi3: (params?: object) => {
            return request({
                url: '/chart/screen/ew/v1/depletion',
                method: 'get',
                params,
            });
        },
        warningApi4: (params?: object) => {
            return request({
                url: '/chart/screen/ew/v1/qoq/month',
                method: 'get',
                params,
            });
        },
        warningApi5: (params?: object) => {
            return request({
                url: '/chart/screen/ew/v1/qoq/year',
                method: 'get',
                params,
            });
        },
        warningApi6: (params?: object) => {
            return request({
                url: '/chart/screen/ew/v1/yoy',
                method: 'get',
                params,
            });
        },
        warningApi7: (params?: object) => {
            return request({
                url: '/chart/screen/ew/v1/',
                method: 'get',
                params,
            });
        },
    };


}
